package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.importlog.*;
import com.engine.kq.service.ImportLogService;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public class ImportLogServiceImpl extends Service implements ImportLogService {
	
	
	@Override
	public Map<String, Object> saveImportLog(Map<String, Object> params, HttpServletRequest request, User user) {
		return commandExecutor.execute(new SaveImportLogCmd(params, request, user));
	}

	@Override
	public Map<String, Object> saveImportDeitalLog(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveImportDeitalLogCmd(params, user));
	}
	
	@Override
	public Map<String, Object> saveImportLogStatus(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveImportLogStatusCmd(params, user));
	}
	
	@Override
	public Map<String, Object> getImportProcessLog(Map<String, Object> params, HttpServletRequest request, User user) {
		return commandExecutor.execute(new GetImportProcessLogCmd(params, request, user));
	}
	
	@Override
	public Map<String, Object> getImportResult(Map<String, Object> params, HttpServletRequest request, User user) {
		return commandExecutor.execute(new GetImportResultCmd(params, user));
	}
	
	@Override
	public Map<String, Object> getImportHistory(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetImportHistoryCmd(params, user));
	}
	
	@Override
	public Map<String, Object> getHistorySearchCondition(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetHistorySearchConditionCmd(params, user));
	}
	
	@Override
	public Map<String, Object> getImportColResultLog(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetImportColResultLogCmd(params, user));
	}
}
